Real-Time Quote
Real-time quote data for major global stock indices, covering core indices such as CSI 300, SSE Composite Index, Shenzhen Component Index, S&P 500, Dow Jones, Nasdaq, and Hang Seng. Provides complete market information including latest index prices, price changes, trading volumes, opening prices, and closing prices, updated in real-time.
GET
/indices/quoteRequest Parameters
regionenumRequiredMarket code
codestringRequiredProduct code
Response Parameters
codenumberResponse code
msgstringResponse description
dataobject▶Response result
sstringSymbol code
ldnumberLatest price
onumberOpening price
pnumberPrevious Closing Price
hnumberHighest price
lnumberLowest price
tnumberTimestamp of the latest trade
vnumberTransaction volume
tunumberTrading amount
tsnumberTrading status of the symbol
chnumberChange
chpnumberChange %
Code Examples
import requests
url = "https://api.itick.org/indices/quote?region=GB&code=SPX"
headers = {
"accept": "application/json"
"token": "Your Token"
}
response = requests.get(url, headers=headers)
print(response.text)Query URL
GET
https://api.itick.org/indices/quote?region=GB&code=SPX, Run query
Response Result
{
"code": 0,
"msg": null,
"data": {
"s": "SPX",
"ld": 6827.42,
"o": 6886.85,
"p": 6886.85,
"h": 6899.85,
"l": 6801.79,
"t": 1765573268000, // 2025-12-12 21:01:08 UTC
"v": 3086000000,
"tu": 21106572620000,
"ch": -73.59,
"chp": -1.07,
"ts": 0
}
}